# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.930.52.13+1.930.54.5 -> 1.930.52.14
#	drivers/acpi/acpi_ksyms.c	1.10.3.1 -> 1.10.1.5
#	arch/i386/kernel/setup.c	1.50.1.10 -> 1.50.1.11
#	arch/ia64/kernel/acpi.c	1.16    -> 1.17   
#	Documentation/Configure.help	1.128.1.21 -> 1.128.1.22
#	arch/i386/kernel/pci-irq.c	1.16.1.4 -> 1.16.1.5
#
diff -Nru a/arch/ia64/kernel/acpi.c b/arch/ia64/kernel/acpi.c
--- a/arch/ia64/kernel/acpi.c	Wed Oct  8 09:08:41 2003
+++ b/arch/ia64/kernel/acpi.c	Wed Oct  8 09:08:41 2003
@@ -712,8 +712,7 @@
 int
 acpi_register_irq (u32 gsi, u32 polarity, u32 mode)
 {
-	u32 irq_base;
-	char *iosapic_address;
+	int vector = 0;
 
 	if (has_8259 && gsi < 16)
 		return isa_irq_to_vector(gsi);
@@ -721,13 +720,10 @@
 	if (!iosapic_register_intr)
 		return 0;
 
-	if (!acpi_find_iosapic(gsi, &irq_base, &iosapic_address))
-		return iosapic_register_intr(gsi,
-				polarity == ACPI_ACTIVE_HIGH,
-				mode == ACPI_EDGE_SENSITIVE,
-				irq_base, iosapic_address);
-
-	return 0;
+	/* Turn it on */
+	vector = iosapic_register_intr(gsi, polarity ? IOSAPIC_POL_HIGH : IOSAPIC_POL_LOW,
+			mode ? IOSAPIC_EDGE : IOSAPIC_LEVEL);
+	return vector;
 }
 
 #endif /* CONFIG_ACPI_BOOT */
